update-manager crashed with AttributeError in show_diff(): 'NoneType' object has no attribute 'group'

Bug #875879 reported by Chrescht
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
aptdaemon (Ubuntu)
Fix Released
High
Unassigned
Precise
Fix Released
High
Brian Murray
Quantal
Fix Released
High
Unassigned
update-manager (Ubuntu)
Invalid
High
Unassigned
Precise
Invalid
High
Unassigned
Quantal
Invalid
High
Unassigned

Bug Description

TEST CASE:
- a regression test should be enough

WARNING DO NOT DO THIS ON A REAL SYSTEM:
To trigger a conffile prompt artificially:
WARNING DO NOT DO THIS ON A REAL SYSTEM:
1. edit /etc/ppp/options and add a line somewhere inside the comments
2. edit /var/lib/dpkg/status and search for "Package: ppp"
3. change the version from 2.4.5-5ubuntu1 to e.g. 1.0
4. change the "/etc/ppp/options 35abf1f84daddb8f602dada6bd46c52" to "/etc/ppp/options xxx"
5. run update-manager and update "ppp"

Unfortunately for me this does *not* trigger the crash.

Happened when updating Oneiric.

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: update-manager 1:0.152.22
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 1.23-0ubuntu2
Architecture: amd64
Date: Sun Oct 16 19:49:42 2011
ExecutablePath: /usr/bin/update-manager
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/update-manager
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_US.UTF-8
PythonArgs: ['/usr/bin/update-manager']
SourcePackage: update-manager
Title: update-manager crashed with AttributeError in show_diff(): 'NoneType' object has no attribute 'group'
UpgradeStatus: Upgraded to oneiric on 2011-10-07 (8 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare vboxusers

Related branches

Revision history for this message
Chrescht (sekateur) wrote :
tags: removed: need-duplicate-check
Revision history for this message
RedSingularity (redsingularity) wrote :

Sorry for the delay. Are you still having this problem?
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in update-manager (Ubuntu):
status: New → Incomplete
visibility: private → public
Revision history for this message
Chrescht (sekateur) wrote :

No it only happened once.
I guess the updates fixed it.
In any case I don't know howo to reproduce it..

Revision history for this message
RedSingularity (redsingularity) wrote :

Thanks for confirming. Closing report.
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in update-manager (Ubuntu):
status: Incomplete → Invalid
Revision history for this message
Robo Burned (robo-n) wrote :

Have the same issue.
1 Was updating
2 Pop-up window appears: "Replace file /etc/ppp/options" with later version?"
3 When I clicked down arrow to expand window and see file diff I got this error

Changed in update-manager (Ubuntu):
status: Invalid → Confirmed
Revision history for this message
Brian Murray (brian-murray) wrote :

@Robo - which release of Ubuntu are you having this issue with?

Changed in update-manager (Ubuntu):
status: Confirmed → Incomplete
Changed in update-manager (Ubuntu):
importance: Undecided → Medium
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for update-manager (Ubuntu) because there has been no activity for 60 days.]

Changed in update-manager (Ubuntu):
status: Incomplete → Expired
Revision history for this message
Brian Murray (brian-murray) wrote :

Precise, 12.04, users are encountering this error regularly as indicated at https://errors.ubuntu.com/bucket/?id=/usr/bin/update-manager:AttributeError:_on_config_file_conflict:run:show_diff.

Changed in update-manager (Ubuntu):
status: Expired → Triaged
tags: added: precise
Changed in update-manager (Ubuntu Precise):
status: New → Triaged
Steve Langasek (vorlon)
Changed in update-manager (Ubuntu):
importance: Medium → High
Changed in update-manager (Ubuntu Precise):
importance: Undecided → High
Changed in aptdaemon (Ubuntu Precise):
status: New → Triaged
importance: Undecided → High
Revision history for this message
Brian Murray (brian-murray) wrote :

The source code looks like:

            if line.startswith("@@"):
                match = re.match(self.REGEX_RANGE, line)
                line_number = int(match.group("from_start"))

return'ing if there is no match should work but I wonder why there isn't a match.

Revision history for this message
Martin Pitt (pitti) wrote :

Fixed in trunk r855 by merging Brian's branch, thanks!

Changed in aptdaemon (Ubuntu Quantal):
status: New → Fix Committed
Michael Vogt (mvo)
description: updated
Revision history for this message
Brian Murray (brian-murray) wrote :

The fix for this should be in aptdaemon not update-manager.

Changed in update-manager (Ubuntu Quantal):
status: Triaged → Invalid
Changed in update-manager (Ubuntu Precise):
status: Triaged → Invalid
Changed in aptdaemon (Ubuntu Quantal):
importance: Undecided → High
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aptdaemon - 0.45+bzr856-0ubuntu1

---------------
aptdaemon (0.45+bzr856-0ubuntu1) quantal; urgency=low

  * New upstream snapshot:
    - pkcompat: Fix get_files() LP: #1040619 (thanks to Martin Pitt)
    - Fix crash when run inside non-ascii dirs LP: #1044900
    - Fix crash in widget's diff view if a @@ line does not have a range
      LP: #875879 (thanks to Brian Murray)
    - Support credentials change when adding a repository that is already
      in sources.list/auth.conf
 -- Michael Vogt <email address hidden> Fri, 07 Sep 2012 10:20:10 +0200

Changed in aptdaemon (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in aptdaemon (Ubuntu Precise):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
Revision history for this message
Steve Langasek (vorlon) wrote : Please test proposed package

Hello Chrescht, or anyone else affected,

Accepted aptdaemon into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/aptdaemon/0.43+bzr805-0ubuntu6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in aptdaemon (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Revision history for this message
Brian Murray (brian-murray) wrote :

I installed aptdaemon version 0.43+bzr805-0ubuntu6 from precise-proposed and then as a regression test installed 92 updates via update-manager. This update completed without issue and I consider the verification done.

tags: added: verification-done
removed: verification-needed
Revision history for this message
Clint Byrum (clint-fewbar) wrote : Update Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aptdaemon - 0.43+bzr805-0ubuntu6

---------------
aptdaemon (0.43+bzr805-0ubuntu6) precise-proposed; urgency=low

  * Fix crash in widget's diff view if a @@ line does not have a range
    (LP: #875879)
 -- Brian Murray <email address hidden> Mon, 29 Oct 2012 05:58:07 -0700

Changed in aptdaemon (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers